Name:           perl-YAML-Tiny
Version:        1.56
Release:        1%{?dist}
Summary:        Read/Write YAML files with as little code as possible
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/YAML-Tiny/
Source0:        http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/YAML-Tiny-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  perl(Module::Build::Tiny) >= 0.027
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
# Test Suite
BuildRequires:  perl(blib)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(YAML::XS)
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)
Requires:       perl(Exporter)
Requires:       perl(Scalar::Util)

%description
YAML::Tiny is a Perl class for reading and writing YAML-style files,
written with as little code as possible, reducing load time and
memory overhead.

%prep
%setup -q -n YAML-Tiny-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0

%check
./Build test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/YAML/
%{_mandir}/man3/YAML::Tiny.3pm*

%changelog
* Wed Sep 25 2013 Paul Howarth <paul@city-fan.org> 1.56-1
- Update to 1.56
  - read_string documentation error fixed (CPAN RT#74409)
  - Re-release with fixed compile test
- Go back to Module::Build::Tiny flow

* Thu Sep 19 2013 Paul Howarth <paul@city-fan.org> 1.55-1
- Update to 1.55
  - Revert to ExtUtils::MakeMaker flow
- Update buildreqs as needed

* Thu Aug 22 2013 Paul Howarth <paul@city-fan.org> 1.54-1
- Update to 1.54
  - Convert to Dist::Zilla
  - Updated format to conform to CPAN::Changes::Spec
- Upstream shipping README again
- Switch to Module::Build::Tiny flow
- Classify buildreqs by usage

* Wed Aug 21 2013 Paul Howarth <paul@city-fan.org> 1.53-1
- Update to 1.53
  - Updated repository metadata to reflect move to github
- This release by ETHER -> update source URL
- Upstream no longer shipping README
- Don't need to remove empty directories from the buildroot
- Make %%files list more explicit

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.51-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 1.51-7
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.51-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 21 2012 Jitka Plesnikova <jplesnik@redhat.com> - 1.51-5
- Add perl(Carp) to requires.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.51-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 1.51-3
- Perl 5.16 rebuild

* Mon Jun 04 2012 Petr Pisar <ppisar@redhat.com> - 1.51-2
- The POD tests do not run by default

* Wed Mar 14 2012 Petr Šabata <contyk@redhat.com> - 1.51-1
- 1.51 bump
- Remove command macros

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.50-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.50-4
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.50-3
- Perl mass rebuild

* Thu Jul 14 2011 Iain Arnell <iarnell@gmail.com> 1.50-2
- drop Test::MinimumVersion BR to avoid circular build deps

* Mon Jun 27 2011 Petr Sabata <contyk@redhat.com> - 1.50-1
- 1.50 bump
- Cleaning the spec file (I assume pre-EPEL6 compatibility is no longer
  essential here)
- Adding Exporter and Scalar::Util (optional but preferred) to BR/Rs

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 18 2010 Steven Pritchard <steve@kspei.com> 1.46-1
- Update to 1.46.

* Tue Dec 07 2010 Steven Pritchard <steve@kspei.com> 1.44-1
- Update to 1.44.

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.40-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.40-2
- rebuild against perl 5.10.1

* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.40-1
- auto-update to 1.40 (by cpan-spec-update 0.01)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.39-1
- auto-update to 1.39 (by cpan-spec-update 0.01)
- added a new br on perl(File::Spec) (version 0.80)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Steven Pritchard <steve@kspei.com> 1.36-1
- Update to 1.36.
- BR Test::More.

* Fri May 16 2008 Steven Pritchard <steve@kspei.com> 1.32-1
- Update to 1.32.

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.25-2
- rebuild for new perl

* Mon Jan 28 2008 Steven Pritchard <steve@kspei.com> 1.25-1
- Update to 1.25.

* Tue Dec 11 2007 Steven Pritchard <steve@kspei.com> 1.21-1
- Update to 1.21.
- Update License tag.
- BR Test::MinimumVersion.

* Thu Aug 23 2007 Steven Pritchard <steve@kspei.com> 1.14-1
- Update to 1.14.

* Fri Jul 13 2007 Steven Pritchard <steve@kspei.com> 1.13-1
- Update to 1.13.

* Fri Jun 08 2007 Steven Pritchard <steve@kspei.com> 1.12-1
- Update to 1.12.

* Mon May 28 2007 Steven Pritchard <steve@kspei.com> 1.09-1
- Update to 1.09.

* Sat May 19 2007 Steven Pritchard <steve@kspei.com> 1.08-1
- Update to 1.08.
- Update description.

* Tue Mar 13 2007 Steven Pritchard <steve@kspei.com> 1.04-1
- Specfile autogenerated by cpanspec 1.70.
- Drop redundant perl build dependency.
- BR YAML, YAML::Syck, and Test::Pod for better test coverage.
